Lesezeichen · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/profiles/{id}/bookmarks
Verwaltete Lesezeichen eines Profils
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Verwaltete Lesezeichen eines Profils",
"tags": [
"Lesezeichen"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/profiles/{id}/bookmarks
Lesezeichen ersetzen; wirksam beim nächsten Start (eigene Lesezeichen im Browser bleiben erhalten)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"bookmarks"
],
"properties": {
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"type": [
"string",
"null"
],
"maxLength": 256
}
}
},
"maxItems": 1000
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Lesezeichen ersetzen; wirksam beim nächsten Start (eigene Lesezeichen im Browser bleiben erhalten)",
"tags": [
"Lesezeichen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"bookmarks"
],
"properties": {
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"type": [
"string",
"null"
],
"maxLength": 256
}
}
},
"maxItems": 1000
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/batch/bookmarks
Lesezeichen für mehrere Profile hinzufügen, ersetzen oder leeren
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"mode"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"add"
]
},
{
"type": "string",
"enum": [
"replace"
]
},
{
"type": "string",
"enum": [
"clear"
]
}
]
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"type": [
"string",
"null"
],
"maxLength": 256
}
}
},
"maxItems": 1000
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results",
"succeeded",
"failed"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"index",
"id",
"ok"
],
"properties": {
"index": {
"type": "integer"
},
"id": {
"type": [
"null",
"string"
]
},
"ok": {
"type": "boolean"
},
"no": {
"type": "integer"
},
"error": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
}
}
}
}
},
"succeeded": {
"type": "integer"
},
"failed": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Lesezeichen für mehrere Profile hinzufügen, ersetzen oder leeren",
"tags": [
"Lesezeichen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ids",
"mode"
],
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"minItems": 1,
"maxItems": 1000
},
"mode": {
"anyOf": [
{
"type": "string",
"enum": [
"add"
]
},
{
"type": "string",
"enum": [
"replace"
]
},
{
"type": "string",
"enum": [
"clear"
]
}
]
},
"bookmarks": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url"
],
"properties": {
"title": {
"type": "string",
"maxLength": 512
},
"url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"folder": {
"type": [
"string",
"null"
],
"maxLength": 256
}
}
},
"maxItems": 1000
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"results",
"succeeded",
"failed"
],
"properties": {
"results": {
"type": "array",
"items": {
"type": "object",
"required": [
"index",
"id",
"ok"
],
"properties": {
"index": {
"type": "integer"
},
"id": {
"type": [
"null",
"string"
]
},
"ok": {
"type": "boolean"
},
"no": {
"type": "integer"
},
"error": {
"type": "object",
"required": [
"code",
"message"
],
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
}
}
}
}
},
"succeeded": {
"type": "integer"
},
"failed": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/bookmarks/parse
Lesezeichen aus Zeilen („Ordner::Name::URL“, „Name::URL“, „URL“) oder HTML-Lesezeichendatei lesen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"text"
],
"properties": {
"text": {
"type": "string",
"maxLength": 16777216
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"items",
"errors"
],
"properties": {
"format": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
},
"errors": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"message"
],
"properties": {
"line": {
"type": "integer"
},
"message": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Lesezeichen aus Zeilen („Ordner::Name::URL“, „Name::URL“, „URL“) oder HTML-Lesezeichendatei lesen",
"tags": [
"Lesezeichen"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"text"
],
"properties": {
"text": {
"type": "string",
"maxLength": 16777216
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"items",
"errors"
],
"properties": {
"format": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"title",
"url",
"folder"
],
"properties": {
"title": {
"type": "string"
},
"url": {
"type": "string"
},
"folder": {
"type": [
"null",
"string"
]
}
}
}
},
"errors": {
"type": "array",
"items": {
"type": "object",
"required": [
"line",
"message"
],
"properties": {
"line": {
"type": "integer"
},
"message": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}